Groovy Documentation

## org.codehaus.groovy.binding
[Java] Class ClosureSourceBinding

    java.lang.Object
      org.codehaus.groovy.binding.ClosureSourceBinding

All Implemented Interfaces:
  SourceBinding

    public class ClosureSourceBinding

Authors:
  Danno Ferrin

Version:
  \$Revision\$

Since:
  Groovy 1.1

Constructor Summary
`ClosureSourceBinding(Closure closure)`
`ClosureSourceBinding(Closure closure, java.lang.Object[] arguments)`

Method Summary
`Closure` | `getClosure()`
`java.lang.Object` | `getSourceValue()`
`void` | `setClosure(Closure closure)`
`void` | `setClosureArgument(java.lang.Object argument)`
`void` | `setClosureArguments(java.lang.Object[] arguments)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure)

### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure, java.lang.Object[] arguments)

Method Detail

### getClosure

    public Closure getClosure()

### getSourceValue

    public java.lang.Object getSourceValue()

### setClosure

    public void setClosure(Closure closure)

### setClosureArgument

    public void setClosureArgument(java.lang.Object argument)

### setClosureArguments

    public void setClosureArguments(java.lang.Object[] arguments)

Groovy Documentation